' ************************************
' *** ***
' *** Reaktiv-Tiny v0.1 20/11/2005 ***
' *** ***
' ************************************

$regfile = "ATtiny13.DAT"
$crystal = 113000			  'Reale Frequenz des internen 128kHz-Oszillators

Config Portb = &B00011000		  'Pinb.3 und .4 auf 'Ausgang', Rest auf 'Eingang' schalten
Portb = &B11100111			 'Pullups zuschalten, auer fr Pinb.3 und .4
Stop Adc				   'A/D-Wandler abschalten, um Strom zu sparen
Stop Ac				    'Analog-Komparator abschalten, um Strom zu sparen

Dim A As Byte
Dim Hell_dunkel As Bit

Do
	Gosub Led_abfrage

	If Hell_dunkel = 0 Then
		For A = 1 To 10
			Portb.3 = 1
			Waitms 50
			Portb.3 = 0
			Waitms 500
		Next A
	End If

Loop

Led_abfrage:
	Portb.3 = 0			'Portb.3 auf Masse schalten
	Portb.4 = 1			'Portb.4 auf +Ub schalten, um die LED zu 'laden'
	Waitus 1 			  'Ladezeit, kann ggf. noch verkleinert werden
	Config Portb.4 = Input	     'Portb.4 nun zwecks Abfrage der LED-Ladung auf 'Eingang' schalten
	Portb.4 = 0 		       'Pullup abschalten, sonst geht's nicht!
	Waitus 1500		        'Entladezeit - je kleiner, je unempfindlicher
	Hell_dunkel = Pinb.4	       'Ladezustand einlesen
	Config Portb.4 = Output	    'Portb.4 wieder auf Ausgang schalten
	Portb.4 = 0			'Portb.4 auf Masse schalten
Return

End